## terminaltables3 4.0.0

=== Makefile ===
# isort . && black . && bandit -r . && pylint && pre-commit run --all-files
# Get changed files

FILES := $(wildcard **/*.py)

# if you wrap everything in pipenv run, it runs slower.
ifeq ($(origin VIRTUAL_ENV),undefined)
    VENV := poetry run
else
    VENV :=
endif



clean-pyc:  
	@echo "Removing compiled files"
	@find . -name '*.pyc' -exec rm -f {} + || true
	@find . -name '*.pyo' -exec rm -f {} + || true
	@find . -name '__pycache__' -exec rm -fr {} + || true

clean-test:
	@echo "Removing coverage data"
	@rm -f .coverage || true
	@rm -f .coverage.* || true

clean: clean-pyc clean-test

# tests can't be expected to pass if dependencies aren't installed.
# tests are often slow and linting is fast, so run tests on linted code.
test: clean .build_history/pylint .build_history/bandit
	@echo "Running unit tests"
	export FORCE_COLOR=true
	# $(VENV) pytest terminaltables3 --doctest-modules
	# $(VENV) python -m unittest discover
    # not all tests run in all OSs, giving seemingly low coverage.
	FORCE_COLOR=true $(VENV) py.test tests --cov=terminaltables3 --cov-report=html --cov-fail-under 75

.build_history:
	@mkdir -p .build_history

.build_history/isort: .build_history $(FILES)
	@echo "Formatting imports"
	$(VENV) isort terminaltables3
	@touch .build_history/isort

.PHONY: isort
isort: .build_history/isort

.build_history/black: .build_history .build_history/isort $(FILES)
	@echo "Formatting code"
	$(VENV) black . --exclude .virtualenv --exclude .tox
	@touch .build_history/black

.PHONY: black
black: .build_history/black

.build_history/pre-commit: .build_history .build_history/isort .build_history/black
	@echo "Pre-commit checks"
	$(VENV) pre-commit run --all-files
	@touch .build_history/pre-commit

.PHONY: pre-commit
pre-commit: .build_history/pre-commit

.build_history/bandit: .build_history $(FILES)
	@echo "Security checks"
	$(VENV)  bandit .
	@touch .build_history/bandit

.PHONY: bandit
bandit: .build_history/bandit

.PHONY: pylint
.build_history/pylint: .build_history .build_history/isort .build_history/black $(FILES)
	@echo "Linting with pylint"
	# TODO lint tests
	$(VENV) pylint terminaltables3 --fail-under 10
	@touch .build_history/pylint

.PHONY: ruff
.build_history/ruff: .build_history .build_history/isort .build_history/black $(FILES)
	@echo "Linting with ruff"
	$(VENV) ruff check terminaltables3 tests --fix
	@touch .build_history/ruff

.PHONY: ruff
ruff: .build_history/ruff

# for when using -j (jobs, run in parallel)
.NOTPARALLEL: .build_history/isort .build_history/black

check: test pylint ruff bandit pre-commit

.PHONY: publish
publish: check
	rm -rf dist && poetry build

.PHONY: build
build: check
	rm -rf dist && poetry build

.PHONY: mypy
mypy:
	$(VENV) mypy terminaltables3 --ignore-missing-imports --check-untyped-defs

=== debian/changelog ===
terminaltables3 (4.0.0-4) sid; urgency=medium

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:21:46 +0100

terminaltables3 (4.0.0-3) sid; urgency=medium

  * Making build reproducible by using UTC as timezone when generating the
    documentation, thanks to Chris Lamb <lamby@debian.org> (Closes:
    #1096188).

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Feb 2025 12:30:17 +0100

terminaltables3 (4.0.0-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 20:20:44 +0100

terminaltables3 (4.0.0-1) sid; urgency=medium

  * Merging upstream version 4.0.0 (Closes: #1095814).
  * Updating upstream urls.
  * Refreshing google-analytics.patch.
  * Refreshing html-output.patch.
  * Refreshing python-shebang.patch.
  * Refreshing quiet-stdout.patch.
  * Refreshing sphinx-meta.patch.
  * Refreshing sphinx-extlinks.patch.
  * Updating debian packaging for upstream rename from terminaltables to
    terminaltables3.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Feb 2025 15:02:45 +0100

terminaltables (3.1.10-7) sid; urgency=medium

  * Updating source url in copyright.
  * Using dh_auto_clean override instread of dedicated debhelper file.
  * Updating my email address.
  * Updating vcs fields.
  * Updating year in debian copyright for 2025.
  * Shortening debhelper examples file.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Feb 2025 14:40:06 +0100

terminaltables (3.1.10-6) sid; urgency=medium

  * Avoiding to install example files twice, thanks to Alexandre Detiste
    <alexandre.detiste@gmail.com> (Closes: #1087767).

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 Nov 2024 17:41:01 +0100

terminaltables (3.1.10-5) sid; urgency=medium

  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:51:58 +0200

terminaltables (3.1.10-4) sid; urgency=medium

  * Updating copyright for 2024.
  * Temporarily disabling failing on test suite errors with python 3.12 as
    terminaltables is mostly only used by the dbcli programs (pgcli,
    mycli) and they don't seem to have an issue with it (Closes:
    #1066729).

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Mar 2024 19:08:01 +0100

terminaltables (3.1.10-3) sid; urgency=medium

  * Building documentation for the time being without sphinx extlinks
    extensions to fix FTBFS (Closes: #1042605).

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 16:18:44 +0100

terminaltables (3.1.10-2) sid; urgency=medium

  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel@debian.org>  Mon, 30 Jan 2023 18:02:00 +0100

terminaltables (3.1.10-1) sid; urgency=medium

  * Merging upstream version 3.1.10 (Closes: #1014035).
  * Rediffing remove-sphinxcontrib.googleanalytics.patch.
  * Rediffing enable-Sphinx-html_copy_source.patch.
  * Rediffing Use-python3-shebang-on-examples.patch.
  * Rediffing Avoid-writing-bytes-to-stdout.patch.
  * Renumbering patches.
  * Updating upstream metadata.
  * Removing now unused gbp.conf.
  * Updating to debhelper version 13.
  * Updating to standards-version 4.6.1.
  * Reworking copyright file.
  * Updating homepage field in control.
  * Harmonizing rules file.
  * Updating watch file.
  * Adding Rules-Requires-Root field.
  * Wrap-and-sorting debian files.
  * Adding missing build-depends for new upstream version.
  * Updating debhelper docs file.
  * Adding patch to replace non-functioning imports with static values for
    the time being in sphinx config.
  * Removing upstream changelog trimming now that a dedicated changelog
    file is included upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 21 Sep 2022 04:36:37 +0200

terminaltables (3.1.0-5) sid; urgency=medium

  * Adopting package, thanks to Carl for all of his previous work (Closes:
    #927989).
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 Sep 2022 11:12:36 +0200

terminaltables (3.1.0-4) unstable; urgency=medium

  [ Carl Suster ]
  * Remove d/gbp.conf except for branch/tag layout (Closes: #944687).

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 21:40:53 -0400

terminaltables (3.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Carl Suster ]
  * d/control: Remove accidental build-depend on python-setuptools
    (Closes: #943284).
  * Add patch to fix stdout writing issue that caused test suite failures.

 -- Carl Suster <carl@contraflo.ws>  Tue, 12 Nov 2019 14:30:07 +1100

terminaltables (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.1.1, no changes needed.
  * Rename doc package from python3-terminaltables-doc to
    python-terminaltables-doc.
  * Add autopkgtest-pkg-python test suite.
  * Switch to python3-sphinx* instead of the py2 versions.
  * Migrate from git-dpm to gbp.
  * Add patch to correct the shebang lines of examples to python3.
  * Install examples in the examples directory as executables.

 -- Carl Suster <carl@contraflo.ws>  Sat, 02 Dec 2017 00:52:18 +1100

terminaltables (3.1.0-1) experimental; urgency=medium

  * Initial release (Closes: #850093)

 -- Carl Suster <carl@contraflo.ws>  Mon, 09 Jan 2017 16:56:28 +1100

=== debian/control ===
Source: terminaltables3
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-colorama,
 python3-colorclass,
 python3-poetry,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-termcolor,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/matthewdeanmartin/terminaltables3
Testsuite: autopkgtest-pkg-python

Package: python-terminaltables3-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Recommends:
 python3-terminaltables3,
Breaks:
 python3-terminaltables3-doc,
Replaces:
 python3-terminaltables3-doc,
Description: Documentation for terminaltables3 table printer
 Easily draw tables in terminal/console applications from a list of lists of
 strings.
 .
 This package contains the documentation for terminaltables3.

Package: python3-terminaltables3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-terminaltables3-doc,
Description: Python library for printing tables to the console
 Easily draw tables in terminal/console applications from a list of lists of
 strings.
 .
 Supports: multi-line rows, table titles, POSIX and Windows, Wide CJK
 (Chinese/Japanese/Korean) characters are displayed correctly, RTL Arabic and
 Hebrew characters are aligned correctly, alignment and justification.
 Colored text is supported through colorclass, colorama, termcolor, or just
 plain ANSI escape codes.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=terminaltables3

export PYBUILD_BEFORE_TEST=cp example*.py {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/example*.py

%:
	dh ${@} --buildsystem pybuild --with python3,sphinxdoc

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

override_dh_auto_test:
	-dh_auto_test

override_dh_sphinxdoc: export http_proxy=127.0.0.1:9
override_dh_sphinxdoc: export https_proxy=127.0.0.1:9
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	TZ=UTC PYTHONPATH=. /usr/share/sphinx/scripts/python3/sphinx-build -N -q -E -b html docs/ debian/python-terminaltables3-doc/usr/share/doc/python-terminaltables3-doc/html/
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X example1.py -X example2.py -X example3.py -X html/

execute_after_dh_auto_install:
	# installed via python-terminaltables3-doc.examples
	rm -f debian/python3-terminaltables3/usr/lib/python*/dist-packages/example*.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/terminaltables3-$1\.tar\.gz/ \
https://github.com/matthewdeanmartin/terminaltables3/tags .*/v?(\d\S+)\.tar\.gz
